NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Properties | List of all members
NXOpen.Features.GeodesicFilletBuilder Class Reference

Represents a NXOpen.Features.GeodesicFillet builder for GeodesicFillet command. More...

Inheritance diagram for NXOpen.Features.GeodesicFilletBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Properties

unsafe NXOpen.Curve FirstCurve [get, set]
 Returns or sets the first selected curve in the section More...
 
unsafe double FirstPoint [get, set]
 Returns or sets the first selection point More...
 
unsafe NXOpen.Section FirstSection [get, set]
 Returns or sets the first section of curves to fillet More...
 
unsafe NXOpen.Expression Radius [get]
 Returns the radius More...
 
unsafe NXOpen.Curve SecondCurve [get, set]
 Returns or sets the second selected curve in the section More...
 
unsafe double SecondPoint [get, set]
 Returns or sets the second selection point More...
 
unsafe NXOpen.Section SecondSection [get, set]
 Returns or sets the second section of curves to fillet More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.GeodesicFillet builder for GeodesicFillet command.

To create a new instance of this class, use NXOpen.Features.GeodesicSketchCollection.CreateGeodesicFilletBuilder

Default values.

Property Value

Radius.Value

10 (millimeters part), 0.5 (inches part)

Created in NX10.0.0

Property Documentation

unsafe NXOpen.Curve NXOpen.Features.GeodesicFilletBuilder.FirstCurve
getset

Returns or sets the first selected curve in the section

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.GeodesicFilletBuilder.FirstPoint
getset

Returns or sets the first selection point

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.Features.GeodesicFilletBuilder.FirstSection
getset

Returns or sets the first section of curves to fillet

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.GeodesicFilletBuilder.Radius
get

Returns the radius

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Curve NXOpen.Features.GeodesicFilletBuilder.SecondCurve
getset

Returns or sets the second selected curve in the section

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.GeodesicFilletBuilder.SecondPoint
getset

Returns or sets the second selection point

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.Features.GeodesicFilletBuilder.SecondSection
getset

Returns or sets the second section of curves to fillet

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.